#
# Conditional build:
%bcond_without	tests		# build without tests
#
Summary:	Rendering library for Kate text streams using Pango and Cairo
Summary(pl.UTF-8):	Biblioteka renderująca strumienie tekstowe Kate przy użyciu Pango i Cairo
Name:		libtiger
Version:	0.3.4
Release:	9
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: http://code.google.com/p/libtiger/downloads/list
Source0:	http://libtiger.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	dc1dbeb658c95485ba10b9b2897b4ae2
URL:		http://code.google.com/p/libtiger/
BuildRequires:	doxygen
BuildRequires:	libkate-devel >= 0.2.0
BuildRequires:	pango-devel >= 1:1.16
BuildRequires:	pkgconfig
Requires:	libkate >= 0.2.0
Requires:	pango >= 1:1.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is libtiger, a rendering library for Kate streams using Pango and
Cairo.

%description -l pl.UTF-8
libtiger to biblioteka renderująca dla strumieni Kate, korzystająca z
bibliotek Pango i Cairo.

%package devel
Summary:	Header files for libtiger library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libtiger
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libkate-devel >= 0.2.0
Requires:	pango-devel >= 1:1.16

%description devel
This package contains the header files for developing applications
that use libtiger library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libtiger.

%package static
Summary:	Static libtiger library
Summary(pl.UTF-8):	Statyczna biblioteka libtiger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtiger library.

%description static -l pl.UTF-8
Statyczna biblioteka libtiger.

%prep
%setup -q

%build
%configure

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/src/*.[ch] $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libtiger

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libtiger.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtiger.so.5

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libtiger.so
%{_libdir}/libtiger.la
%{_includedir}/tiger
%{_pkgconfigdir}/tiger.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libtiger.a
%changelog
* Sat Nov 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtiger.git;a=log;h=master

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> caa1ec6
- release 9 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> de264f9
- release 8 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 96114cb
- release 7 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 64f158c
- rebuild with expat 2.1.0
- release 6 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d43cad6
- release 5

* Thu Feb 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bedd6f
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b12df13
- release 3

* Mon Jul 04 2011 lisu <lisu@pld-linux.org> ff08fd4
- rel 2

* Tue Jan 04 2011 Jakub Bogusz <qboosh@pld-linux.org> a910398
- updated to 0.3.4
- fixed required pango version

* Mon Dec 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 0badd01
- BR: pkgconfig

* Sun Dec 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 25b07f3
- single library

* Sun Dec 19 2010 Jakub Bogusz <qboosh@pld-linux.org> d37ac90
- new

